Bug 438093 - Firefox crashes when watching streaming media
Firefox crashes when watching streaming media
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 19:30 EDT by Tim McConnell
Modified: 2008-10-29 05:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 05:59:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash from Google earth (547.71 KB, text/plain)
2008-03-18 19:30 EDT, Tim McConnell
no flags Details
Crash from Streaming Video (546.96 KB, text/plain)
2008-03-18 19:32 EDT, Tim McConnell
no flags Details
Crash from UTube site (539.94 KB, text/plain)
2008-03-18 19:33 EDT, Tim McConnell
no flags Details
with GNOME debugger (14.87 KB, text/plain)
2008-03-20 03:07 EDT, Tim McConnell
no flags Details

  None (edit)
Description Tim McConnell 2008-03-18 19:30:28 EDT
Description of problem: Firefox crashes when watching streaming media from
Utube, Google Earth.


Version-Release number of selected component (if applicable):
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208
Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12
How reproducible:


Steps to Reproduce:
1. Launch Google earth or watch streaming Video
2. view multiple videos
3. Receive crash report from bug-buddy about geko engine crash  
  
Actual results:
Firefox crashes after watching 3 or more videos

Expected results:

No crashes from Firefox 
Additional info:
Comment 1 Tim McConnell 2008-03-18 19:30:28 EDT
Created attachment 298464 [details]
Crash from Google earth
Comment 2 Tim McConnell 2008-03-18 19:32:07 EDT
Created attachment 298465 [details]
Crash from Streaming Video
Comment 3 Tim McConnell 2008-03-18 19:33:01 EDT
Created attachment 298466 [details]
Crash from UTube site
Comment 4 Matěj Cepl 2008-03-19 12:17:54 EDT
I have to confess that I have spent in the last couple of weeks more time on
youtube.com and I cannot confirm that it would crash that often.

Moreover, unfortunately, the crashes you send us are from the breakpad
(http://code.google.com/p/google-breakpad/) system which upstream included in
their browser although it is not supported by the tools, so we cannot analyze
the backtrace properly. Please, try to reproduce this again and get backtraces
using the classical method.

Please install firefox-debuginfo (debuginfo-install is from the yum-utils package):

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Tim McConnell 2008-03-20 03:07:51 EDT
Created attachment 298640 [details]
with GNOME debugger 

followed instructions got this when trying to view different video clips on
youtube.com
Comment 6 Tim McConnell 2008-03-20 03:08:47 EDT
Let me know if further information is needed. 
Comment 7 Martin Stransky 2008-10-29 05:59:32 EDT
This is a crash in closed source flash plugin. Install nspluginwrapper package to prevent the crashes. We can't do anything with the flash plugin itself...

Note You need to log in before you can comment on or make changes to this bug.